# Derived values
%define module Unicode-Map
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: Perl module %{module}
Name: perl-unicode-map
Version: 0.112
Release: 7tr
License: distributable
Group: Trustix Official
Source0: http://search.cpan.org/CPAN/authors/id/M/MS/MSCHWARTZ/Unicode-Map-0.112.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/%{name}-buildroot-%(id -nu)/
BuildRequires:  perl
Requires:       perl = %{perlver}
Provides:       %{module} = %{version}

%define siteperl /usr/lib/perl5/site_perl/%{perlver}

%description
%{module} module from CPAN for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{module}-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
make

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%{makeinstall}

find $RPM_BUILD_ROOT -name \*.pod -o -name .packlist | xargs rm

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%files
%defattr(-,root,root,0755)
%{siteperl}/i586-linux-thread-multi/Unicode
%{siteperl}/i586-linux-thread-multi/auto/Unicode
%{_mandir}/man1/*
%{_mandir}/man3/*
/usr/bin/*
%doc COPYING MANIFEST README Changes INSTALL

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 0.112-6tr
- Rebuilt on perl-5.8.7
			
* Fri Mar 18 2005 Hasher Jamaludeen <hasher at comodo dot com> 0.112-4tr
- Rebuilt

* Tue Nov  9 2004 Erlend Midttun <erlendbm at trustix dot org> 0.112-2tr
- Fix filelist

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Fri Feb 13 2004 Gerald Dachs <gda at trustix dot org> 0.112-2gd
- fixed permission on directories
- added %doc to %files section
- changed buildarch to i586

* Fri Jan 30 2004 Erlend Midttun <erlendbm at trustix dot org>
- Initial release for Trustix based off a few others.

